Loading...
Searching...
No Matches
high_res_timer.h File Reference
`#include <ratio>`
`#include <gnuradio/api.h>`
`#include <chrono>`
Include dependency graph for high_res_timer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Macros

#define | GNURADIO_HRT_USE_GENERIC_CLOCK

## Typedefs

typedef signed long long | gr::high_res_timer_type
| Typedef for the timer tick count.

## Functions

high_res_timer_type | gr::high_res_timer_now (void)
| Get the current time in ticks.
high_res_timer_type | gr::high_res_timer_now_perfmon (void)
| Get the current time in ticks - for performance monitoring.
high_res_timer_type | gr::high_res_timer_tps (void)
| Get the number of ticks per second.
high_res_timer_type | gr::high_res_timer_epoch (void)
| Get the tick count at the epoch.

## Macro Definition Documentation

## GNURADIO_HRT_USE_GENERIC_CLOCK

#define GNURADIO_HRT_USE_GENERIC_CLOCK